package com.tencent.mm.plugin.setting.ui.setting;

import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ui.base.preference.Preference;
import com.tencent.ytcommon.BuildConfig;

public class SettingsAboutMMHeaderPreference extends Preference {
    public String qlS = BuildConfig.FLAVOR;

    public SettingsAboutMMHeaderPreference(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
    }

    public SettingsAboutMMHeaderPreference(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    public final void onBindView(View view) {
        AppMethodBeat.i(127086);
        super.onBindView(view);
        LinearLayout linearLayout = (LinearLayout) view.findViewById(2131827376);
        TextView textView = (TextView) view.findViewById(2131827377);
        if (textView != null) {
            textView.getPaint().setFakeBoldText(true);
        }
        ((TextView) view.findViewById(2131827378)).setText(String.format("%s %s", new Object[]{"Version", this.qlS}));
        if (linearLayout != null) {
            linearLayout.setOnClickListener(new 1(this));
        }
        AppMethodBeat.o(127086);
    }
}
